# IRsBSEIdRegister Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Register ([in] BSTR bstrName,[in] RtBSEObjectId idObj)
HRESULT | UnregisterId ([in] RtBSEObjectId idObj)
HRESULT | UnregisterName ([in] BSTR bstrName)
HRESULT | ChangeRegName ([in] BSTR bstrName,[in] BSTR bstrNewLocName)
HRESULT | AddIdFor ([in] BSTR bstrName,[in] RtBSEObjectId *pidObj)
HRESULT | FindId ([in] BSTR bstrName,[in] RtBSEObjectId *pidObj)
HRESULT | FindName ([in] RtBSEObjectId idObj,[in] BSTR *pbstrName)

## Detailed Description

Nodes and Connectors string id register.

## Member Function Documentation

HRESULT IRsBSEIdRegister::Register | ( | [in] BSTR | bstrName,
|  | [in] RtBSEObjectId | idObj |
| ) |  |  |

Register name and its id.

Parameters:

  | bstrName | [in] The registered name.
  | idObj | [in] .

Returns:
  S_OK if successfully registered.

  S_FALSE if already registered.

  E_FAIL if a conflict was found.

HRESULT IRsBSEIdRegister::UnregisterId | ( | [in] RtBSEObjectId | idObj | ) |

Remove name and its id from register.

Parameters:

  | idObj | [in] .

Returns:
  S_OK if successfully removed.

  S_FALSE if not found in register.

HRESULT IRsBSEIdRegister::UnregisterName | ( | [in] BSTR | bstrName | ) |

Remove name and its id from register.

Parameters:

  | bstrName | [in] The registered name.

Returns:
  S_OK if successfully removed.

  S_FALSE if not found in register.

HRESULT IRsBSEIdRegister::ChangeRegName | ( | [in] BSTR | bstrName,
|  | [in] BSTR | bstrNewLocName |
| ) |  |  |

Call to change local name.

Parameters:

  | bstrName | [in] The registered name.
  | bstrNewLocName | [in] New local name.

Returns:
  S_OK if successfully registered.

  E_INVALIDARG if such name was not found.

  E_FAIL if a conflict was found.

HRESULT IRsBSEIdRegister::AddIdFor | ( | [in] BSTR | bstrName,
|  | [in] RtBSEObjectId * | pidObj |
| ) |  |  |

Add name into register and generate an id for it.

Parameters:

  | bstrName | [in] The registered name.
  | pidObj | [in] .

Returns:
  S_OK if successfully added and id generated.

  E_INVALIDARG if name already exist.

  E_FAIL if a problem appears with id generating.

HRESULT IRsBSEIdRegister::FindId | ( | [in] BSTR | bstrName,
|  | [in] RtBSEObjectId * | pidObj |
| ) |  |  |

Find id by name.

Parameters:

  | bstrName | [in] The name you are looking for.
  | pidObj | [in] Returns id for the name. This parameter is optional.

Returns:
  S_OK if successfully found

  S_FALSE if such name doesn't exist in register

HRESULT IRsBSEIdRegister::FindName | ( | [in] RtBSEObjectId | idObj,
|  | [in] BSTR * | pbstrName |
| ) |  |  |

Find name by id.

Parameters:

  | pidObj | [in] The id you are looking for.
  | bstrName | [in] Returns name for the id. This parameter is optional.

Returns:
  S_OK if successfully found.

  S_FALSE if such id doesn't exist in register.